Loading...
Searching...
No Matches
com::lomiri::content::Transfer Class Reference

`#include <com/lomiri/content/transfer.h>`

Inheritance diagram for com::lomiri::content::Transfer:
Collaboration diagram for com::lomiri::content::Transfer:

## Public Types

enum | State { created , initiated , in_progress , charged , collected , aborted , finalized , downloading , downloaded }
enum | SelectionType { single , multiple }
enum | Direction { Import , Export , Share }

## Public Member Functions

| Transfer (const Transfer &)=delete
virtual | ~Transfer ()
Transfer & | operator= (const Transfer &)=delete
virtual Q_INVOKABLE int | id () const
virtual Q_INVOKABLE State | state () const
virtual Q_INVOKABLE SelectionType | selectionType () const
virtual Q_INVOKABLE Direction | direction () const
virtual Q_INVOKABLE bool | start ()
virtual Q_INVOKABLE bool | abort ()
virtual Q_INVOKABLE bool | finalize ()
virtual Q_INVOKABLE bool | charge (const QVector< Item > &items)
virtual Q_INVOKABLE QVector< Item > | collect ()
virtual Q_INVOKABLE Store | store () const
virtual Q_INVOKABLE bool | setStore (const Store *)
virtual Q_INVOKABLE QString | setStore (Scope, const QString &)
virtual Q_INVOKABLE bool | setSelectionType (const SelectionType &)
virtual Q_INVOKABLE QString | downloadId () const
virtual Q_INVOKABLE bool | setDownloadId (const QString)
virtual Q_INVOKABLE bool | download ()
virtual Q_INVOKABLE QString | contentType () const
virtual Q_INVOKABLE QString | source () const
virtual Q_INVOKABLE QString | destination () const
Q_SIGNAL void | stateChanged ()
Q_SIGNAL void | storeChanged ()
Q_SIGNAL void | selectionTypeChanged ()
Q_SIGNAL void | downloadIdChanged ()

## Properties

int | id
State | state
QVector< Item > | items
Store | store
SelectionType | selectionType
Direction | direction
QString | downloadId
QString | contentType
QString | source
QString | destination

## Friends

struct | Private
class | Hub
class | com::lomiri::content::detail::Handler

## Detailed Description

Definition at line 53 of file transfer.h.

## Member Enumeration Documentation

## Direction

enum com::lomiri::content::Transfer::Direction

Enumerator
Import |
Export |
Share |

Definition at line 90 of file transfer.h.

## SelectionType

enum com::lomiri::content::Transfer::SelectionType

Enumerator
single |
multiple |

Definition at line 84 of file transfer.h.

## State

enum com::lomiri::content::Transfer::State

Enumerator
created |
initiated |
in_progress |
charged |
collected |
aborted |
finalized |
downloading |
downloaded |

Definition at line 71 of file transfer.h.

## Constructor & Destructor Documentation

## Transfer()

com::lomiri::content::Transfer::Transfer | ( | const Transfer & |  | ) |

delete

References Transfer().

Referenced by com::lomiri::content::detail::Handler, operator=(), and Transfer().

Here is the call graph for this function:

## ~Transfer()

virtual com::lomiri::content::Transfer::~Transfer | ( |  | ) |

virtual

## Member Function Documentation

## abort()

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::abort | ( |  | ) |

virtual

## charge()

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::charge | ( | const QVector< Item > & | items | ) |

virtual

References items.

## collect()

virtual Q_INVOKABLE QVector< Item > com::lomiri::content::Transfer::collect | ( |  | ) |

virtual

## contentType()

virtual Q_INVOKABLE QString com::lomiri::content::Transfer::contentType | ( |  | ) | const

virtual

References contentType.

## destination()

virtual Q_INVOKABLE QString com::lomiri::content::Transfer::destination | ( |  | ) | const

virtual

References destination.

## direction()

virtual Q_INVOKABLE Direction com::lomiri::content::Transfer::direction | ( |  | ) | const

virtual

## download()

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::download | ( |  | ) |

virtual

References download().

Referenced by download().

Here is the call graph for this function:

## downloadId()

virtual Q_INVOKABLE QString com::lomiri::content::Transfer::downloadId | ( |  | ) | const

virtual

References downloadId.

## downloadIdChanged()

Q_SIGNAL void com::lomiri::content::Transfer::downloadIdChanged | ( |  | ) |

References downloadIdChanged(), and Private.

Referenced by downloadIdChanged().

Here is the call graph for this function:

## finalize()

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::finalize | ( |  | ) |

virtual

## id()

virtual Q_INVOKABLE int com::lomiri::content::Transfer::id | ( |  | ) | const

virtual

## operator=()

Transfer & com::lomiri::content::Transfer::operator= | ( | const Transfer & |  | ) |

delete

References Transfer().

Here is the call graph for this function:

## selectionType()

virtual Q_INVOKABLE SelectionType com::lomiri::content::Transfer::selectionType | ( |  | ) | const

virtual

## selectionTypeChanged()

Q_SIGNAL void com::lomiri::content::Transfer::selectionTypeChanged | ( |  | ) |

References selectionTypeChanged().

Referenced by selectionTypeChanged().

Here is the call graph for this function:

## setDownloadId()

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::setDownloadId | ( | const QString |  | ) |

virtual

References setDownloadId().

Referenced by setDownloadId().

Here is the call graph for this function:

## setSelectionType()

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::setSelectionType | ( | const SelectionType & |  | ) |

virtual

References setSelectionType().

Referenced by setSelectionType().

Here is the call graph for this function:

## setStore() [1/2]

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::setStore | ( | const Store * |  | ) |

virtual

References setStore().

Referenced by setStore(), and setStore().

Here is the call graph for this function:

## setStore() [2/2]

virtual Q_INVOKABLE QString com::lomiri::content::Transfer::setStore | ( | Scope | ,
|  | const QString & | )

virtual

References setStore().

Here is the call graph for this function:

## source()

virtual Q_INVOKABLE QString com::lomiri::content::Transfer::source | ( |  | ) | const

virtual

References source.

## start()

virtual Q_INVOKABLE bool com::lomiri::content::Transfer::start | ( |  | ) |

virtual

## state()

virtual Q_INVOKABLE State com::lomiri::content::Transfer::state | ( |  | ) | const

virtual

## stateChanged()

Q_SIGNAL void com::lomiri::content::Transfer::stateChanged | ( |  | ) |

References stateChanged().

Referenced by stateChanged().

Here is the call graph for this function:

## store()

virtual Q_INVOKABLE Store com::lomiri::content::Transfer::store | ( |  | ) | const

virtual

## storeChanged()

Q_SIGNAL void com::lomiri::content::Transfer::storeChanged | ( |  | ) |

References storeChanged().

Referenced by storeChanged().

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## com::lomiri::content::detail::Handler

friend class com::lomiri::content::detail::Handler

friend

Definition at line 132 of file transfer.h.

References com::lomiri::content::detail::Handler, Private, and Transfer().

Referenced by com::lomiri::content::detail::Handler.

## Hub

friend class Hub

friend

Definition at line 131 of file transfer.h.

References Hub.

Referenced by Hub.

## Private

friend struct Private

friend

Definition at line 130 of file transfer.h.

References Private.

Referenced by com::lomiri::content::detail::Handler, downloadIdChanged(), and Private.

## Property Documentation

## contentType

QString com::lomiri::content::Transfer::contentType

read

Definition at line 66 of file transfer.h.

Referenced by contentType().

## destination

QString com::lomiri::content::Transfer::destination

read

Definition at line 68 of file transfer.h.

Referenced by destination().

## direction

Direction com::lomiri::content::Transfer::direction

read

Definition at line 64 of file transfer.h.

## downloadId

QString com::lomiri::content::Transfer::downloadId

read write

Definition at line 65 of file transfer.h.

Referenced by downloadId().

## id

int com::lomiri::content::Transfer::id

read

Definition at line 59 of file transfer.h.

## items

QVector<Item> com::lomiri::content::Transfer::items

read write

Definition at line 61 of file transfer.h.

Referenced by charge().

## selectionType

SelectionType com::lomiri::content::Transfer::selectionType

read write

Definition at line 63 of file transfer.h.

## source

QString com::lomiri::content::Transfer::source

read

Definition at line 67 of file transfer.h.

Referenced by source().

## state

State com::lomiri::content::Transfer::state

read

Definition at line 60 of file transfer.h.

## store

Store com::lomiri::content::Transfer::store

read

Definition at line 62 of file transfer.h.

The documentation for this class was generated from the following file:

- include/com/lomiri/content/transfer.h